.link-block {
  display: block;
  width: 100%;
  margin-bottom: var(--anrt-spacing-066);
  border: 1px solid var(--anrt-color-white);
  border-radius: var(--anrt-radius-small);
  background: transparent;
}

.link-block:last-child {
  margin-bottom: 0;
}

.link-block a {
  display: block;
  padding: var(--anrt-spacing-100);
  color: var(--anrt-color-white);
}

.link-block a:focus,
.link-block a:hover,
.link-block a:focus-within {
  text-decoration: underline;
}

.link-block a::before {
  display: inline-block;
  width: var(--anrt-spacing-050);
  height: var(--anrt-spacing-050);
  margin-right: var(--anrt-spacing-100);
  content: "";
  background: url(../../assets/icons/svg/custom/triangle-link-block--white.svg) no-repeat center;
  background-size: contain;
}

.link-block:has(span) {
  padding: var(--anrt-spacing-100);
  background: var(--anrt-color-white);
}

.link-block:has(span) span::before {
  display: inline-block;
  width: var(--anrt-spacing-050);
  height: var(--anrt-spacing-050);
  margin-right: var(--anrt-spacing-100);
  content: "";
  background: url(../../assets/icons/svg/custom/triangle-link-block.svg) no-repeat center;
  background-size: contain;
}

:where(.full-width-box--light-bg) {
  .link-block {
    border: none;
    background: var(--anrt-color-grey-95);
  }

  .link-block:has(a[href]):hover,
  .link-block:has(a[href]):focus,
  .link-block:has(a[href]):focus-within {
    background: var(--anrt-color-grey-91);
  }

  .link-block a {
    color: var(--anrt-color-blue-21);
  }

  .link-block a::before {
    background: url(../../assets/icons/svg/custom/triangle-link-block.svg) no-repeat center;
  }
}
